> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Welcome Campaign

> Update a Welcome Campaign for a Specific Website



## OpenAPI

````yaml /api-reference/push-openapi.json post /prod/site/{idSite}/welcome/upsert
openapi: 3.1.0
info:
  title: push-notifications
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: One-Off Notifications
    description: Send individual push notifications
  - name: Welcome Notifications
    description: Welcome notification campaigns
  - name: Triggered Campaigns
    description: Event-triggered push notification campaigns
  - name: RSS Campaigns
    description: RSS feed-based push notification campaigns
  - name: Manual Campaigns
    description: Manually created push notification campaigns
  - name: API Campaigns
    description: API-triggered push notification campaigns
paths:
  /prod/site/{idSite}/welcome/upsert:
    post:
      tags:
        - Welcome Notifications
      summary: Update Welcome Campaign
      description: Update a Welcome Campaign for a Specific Website
      operationId: api-upsert-welcome-campaign
      parameters:
        - name: idSite
          in: path
          description: Site ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - title
                - body
                - link
                - status
              properties:
                title:
                  type: string
                  description: Push Title
                body:
                  type: string
                  description: Push Body
                link:
                  type: string
                  description: Link
                status:
                  type: string
                  description: 0 = draft, 1 = active
                  default: '0'
                customIcon:
                  type: string
                  description: 'url of custom icon to use (recommended size: 250x250)'
                customImage:
                  type: string
                  description: 'url of custom image to use (recommended size: 300x500)'
                conversion_trigger:
                  type: object
                  properties:
                    eventCategory:
                      type: string
                      description: Category of event
                    eventAction:
                      type: string
                      description: Action of event
                actions:
                  type: object
                  description: action buttons
                  properties:
                    a01:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
                    a02:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Text of action button
                        link:
                          type: string
                          description: Link/URL of action when clicked
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: success
                    message: Updated welcome message succesfully.
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: 'Error #139.'
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````